<?php

global $post;


$editor_settings = array(
    'media_buttons' => false,
    'quicktags'     => array("buttons"=>"link,img,close"),
    'textarea_name' => "",
    'tinymce'       => true,
);

ob_start();
include 'template-email-tags.php';
$content_tags = ob_get_clean();

$keys_normal = array(

    'qrr_email_replay_to_name' => array(
        'type' => 'text',
        'title' => __('Replay-To Name', 'qrr'),
        'desc' => __('The name displayed in the Reply-To field', 'qrr'),
        'placeholder' => get_bloginfo('name'),
    ),

    'qrr_email_replay_to_email' => array(
        'type' => 'text',
        'title' => __('Replay-To Email', 'qrr'),
        'desc' => __('The email to be used in the Reply-To field', 'qrr'),
        'placeholder' => qrr_get_current_user_email(),
    ),

    'qrr_email_admin_email_send' => array(
        'type' => 'select',
        'title' => __('Send Email', 'qrr'),
        'desc' => __('Send email notification when new booking is requested to admin', 'qrr'),
        'options' => array( 'yes' => __('Yes','qrr'), 'no' => __('No','qrr') ),
    ),

    'qrr_email_admin_email' => array(
        'type' => 'text',
        'title' => __('Admin Email', 'qrr'),
        'desc' => __('Where admin notifications should be sent', 'qrr'),
        'placeholder' => qrr_get_current_user_email(),
    ),

    /*'qrr_email_restaurant_page' => array(
        'type' => 'select',
        'title' => __('Restaurant page', 'qrr'),
        'desc' => __('To be used in the notifications to the customer', 'qrr'),
        'placeholder' => '',
        'options' => qrr_get_pages()
    ),*/

    'qrr_email_logo' => array(
        'type' => 'fileupload',
        'title' => __('Logo URL', 'qrr'),
        'desc' => __('Logo to be shown at the top of the email (max width 150px)', 'qrr'),
        'placeholder' => 'http://....',
    ),

    'qrr_email_tags' => array(
        'type' => 'content',
        'title' => __('Template Tags','qrr'),
        'desc' => __('You can use these tags to add booking information to the email.<br>* you can use these inside the subject field','qrr'),
        'content' => $content_tags
    )
);

$keys_emails = array(

    'qrr_email_admin' => array(
        'description' => __('Email sent to the administrator when a new booking is requested.','qrr'),
        'subject' => array(
            'title' => __('Admin Email Subject','qrr'),
            'desc'  => __('Email subject sent to the administrator.','qrr'),
            'placeholder' => __('You have received a new booking request', 'qrr'),
        ),
        'content' => array(
            'title' => __('Admin Email Content','qrr'),
            'desc'  => __('Email content sent to the administrator when booking has been automatically confirmed.','qrr'),
            'placeholder' => '',
        )
    ),

    'qrr_email_admin_confirmed' => array(
        'description' => __('Email sent to the administrator when a new booking is automatically confirmed (Needs capacity add-on).','qrr'),
        'subject' => array(
            'title' => __('Admin Email Subject','qrr'),
            'desc'  => __('Email subject sent to the administrator.','qrr'),
            'placeholder' => __('You have received a new booking already confirmed', 'qrr'),
        ),
        'content' => array(
            'title' => __('Admin Email Content','qrr'),
            'desc'  => __('Email content sent to the administrator to Confirm/Reject/Cancel booking.','qrr'),
            'placeholder' => '',
        )
    ),

    'qrr_email_pending' => array(
        'description' => __('Email sent to the customer when the booking is Pending.','qrr'),
        'subject' => array(
            'title' => __('Pending Email Subject','qrr'),
            'desc'  => __('The email subject a user will receive when requesting a new booking.','qrr'),
            'placeholder' => __('Your booking at ','qrr').get_bloginfo('name').' '.__('is pending','qrr'),
        ),
        'content' => array(
            'title' => __('Pending Email','qrr'),
            'desc'  => __('The email subject a user will receive when requesting a new booking.','qrr'),
            'placeholder' => '',
        )
    ),

    'qrr_email_confirmed' => array(
        'description' => __('Email sent to the customer when the booking is Confirmed.','qrr'),
        'subject' => array(
            'title' => __('Confirmed Email Subject','qrr'),
            'desc'  => __('The email subject a user will receive the booking is confirmed.','qrr'),
            'placeholder' => __('Your booking at ','qrr').get_bloginfo('name').' '.__('has been confirmed','qrr'),
        ),
        'content' => array(
            'title' => __('Confirmed Email','qrr'),
            'desc'  => __('The email content a user will receive the booking has been confirmed.','qrr'),
            'placeholder' => '',
        )
    ),

    'qrr_email_rejected' => array(
        'description' => __('Email sent to the customer when the booking is Rejected.','qrr'),
        'subject' => array(
            'title' => __('Rejected Email Subject','qrr'),
            'desc'  => __('The email subject a user will receive the booking has been rejected.','qrr'),
            'placeholder' => __('Your booking at ','qrr').get_bloginfo('name').' '.__('has been rejected','qrr'),
        ),
        'content' => array(
            'title' => __('Rejected Email','qrr'),
            'desc'  => __('The email content a user will receive the booking has been rejected.','qrr'),
            'placeholder' => '',
        )
    ),

    'qrr_email_update' => array(
        'description' => __('Custom email subject sent to the customer from the bookings admin panel.','qrr'),
        'subject' => array(
            'title' => __('Update Email Subject','qrr'),
            'desc'  => '',
            'placeholder' => __('Your booking at ','qrr').get_bloginfo('name').' '.__('has been updated','qrr'),
        )
    ),


);

echo '<table class="table-fields">';

foreach( $keys_normal as $key => $item ) {

    // Normal field
    if (isset($item['type'])) {

        $value = get_post_meta($post->ID, $key , true );

        if ( $item['type'] == 'text' ) {

            echo '<tr>';
            echo '<td><div class="field-title">'.$item['title'].'</div></td>';
            echo '<td>';
            echo '<input type="text" class="text-medium" name="'.$key.'" value="'.$value.'" placeholder="'.$item['placeholder'].'">';
            echo '<div class="qrr-settings-desc">'.$item['desc'].'</div>';
            echo '</td>';
            echo '</tr>';
        }

        else if ( $item['type'] == 'select' ) {

            echo '<tr>';
            echo '<td><div class="field-title">'.$item['title'].'</div></td>';
            echo '<td>';
            echo '<select name="'.$key.'">';
            foreach($item['options'] as $key_option => $name_option) {
                $selected = selected($key_option,$value);
                echo '<option '.$selected.' value="'.$key_option.'">'.$name_option.'</option>';
            }
            echo '</select>';
            echo '<div class="qrr-settings-desc">'.$item['desc'].'</div>';
            echo '</td>';
            echo '</tr>';

        } else if ( $item['type'] == 'content' ) {

            echo '<tr>';
            echo '<td><div class="field-title">'.$item['title'].'</div></td>';
            echo '<td>';
            echo $item['content'];
            echo '<div class="qrr-settings-desc">'.$item['desc'].'</div>';
            echo '</td>';
            echo '</tr>';

        } else if ( $item['type'] == 'fileupload' ) {

            echo '<tr>';
            echo '<td><div class="field-title">'.$item['title'].'</div></td>';
            echo '<td>';

            if (QRR_Active('capacity')) {
                echo '<div class="fileupload">';
                if ( !empty($value) ) {
                    $img = '<img src="'.$value.'">';
                }else {
                    $img = '';
                }
                echo '<input id="'.$key.'" name="'.$key.'" type="hidden" value="'.$value.'">';
                echo '<input id="'.$key.'_button" readonly class="button" value="'.__('Upload','qrr').'">';
                echo '<div class="preview-image">'.$img.'</div>';
                echo '</div>';

                echo '<div class="qrr-settings-desc">'.$item['desc'].'</div>';
            } else {
                include QRR_PLUGIN_DIR.'includes/admin/template-addons/addon-capacity.php';
            }


            echo '</td>';
            echo '</tr>';

        }

    }

}

echo '</table>';



// Tabs with subject and content for each type of email
$tabs = array(
    'qrr_email_admin' => 'Admin pending',
    'qrr_email_admin_confirmed' => 'Admin confirmed',
    'qrr_email_pending' => 'Client Pending',
    'qrr_email_confirmed' => 'Client Confirmed',
    'qrr_email_rejected' => 'Client Rejected',
    'qrr_email_update' => 'Client Update',
);

echo '<div id="qrr-email-tabs">';


echo '<div class="qrr-tabs">';
$index = 0;
foreach( $tabs as $tab_key => $tab_title ) {
    $class = $index++ == 0 ? 'active' : '';
    echo '<a href="#'.$tab_key.'" class="'.$class.'">'.$tab_title.'</a>';
}
echo '</div>';

echo '<div class="qrr-tabs-content">';
$index = 0;
foreach( $tabs as $tab_key => $tab_title ) {
    $class = $index++ == 0 ? 'active' : '';
    echo '<div id="'.$tab_key.'" class="qrr-tab-content '.$class.'">';
    echo '<table class="table-fields">';
    qrr_display_tab_content( $keys_emails, $tab_key );
    echo '</table>';
    echo '</div>';
}
echo '</div>';


function qrr_display_tab_content( $keys_emails, $key ) {

    global $post;

    $titles = $keys_emails[$key];

    if (isset($titles['description'])) {
        echo '<tr>';
        echo '<td colspan="2"><strong>'.$titles['description'].'</strong></td>';
        echo '</tr>';
    }

    // Subject
    if (isset($titles['subject'])) {

        $subject = get_post_meta($post->ID, $key . '_subject' , true );
        echo '<tr>';
        echo '<td><div class="field-title">'.$titles['subject']['title'].'</div></td>';
        echo '<td>';
        echo '<input type="text" class="text-medium" name="'.$key.'_subject" value="'.$subject.'" placeholder="'.$titles['subject']['placeholder'].'">';
        echo '<div class="qrr-settings-desc">'.$titles['subject']['desc'].'</div>';
        echo '</td>';
        echo '</tr>';
    }

    // Content
    if (isset($titles['content'])) {

        $content = get_post_meta($post->ID, $key . '_content' , true );
        //if (empty($content)) {
        //    $content = $titles['content']['placeholder'];
        //}
        if (empty($content)) {
            ob_start();
            include 'template-email-' . str_replace('qrr_email_','',$key) . '.php';
            $content = ob_get_clean();
        }
        echo '<tr>';
        echo '<td><div class="field-title">'.$titles['content']['title'].'</div></td>';
        $editor_settings['textarea_name'] = $key.'_content';
        echo '<td>';

        /**/

        //echo '<pre>$key '; print_r( $key ); echo '</pre>';
        wp_editor( htmlspecialchars_decode($content), $key . '_content', $editor_settings );

        echo '<div class="qrr-settings-desc">'.$titles['content']['desc'].'</div>';
        echo '</td>';
        echo '</tr>';
    }

}


